# Class HiddenConfigKey<T>

java.lang.Object
uk.ac.starlink.ttools.plot2.config.ConfigKey<T>
uk.ac.starlink.ttools.plot2.config.HiddenConfigKey<T>

public class HiddenConfigKey<T> extends ConfigKey<T>
ConfigKey implementation which is not available for manipulation in the user interface. UI-related methods throw an UnsupportedOperationException.

Since:
  25 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`HiddenConfigKey(ConfigMeta meta, Class<T> clazz, T dflt)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Specifier<T>`
`createSpecifier()`
Throws UnsupportedOperationException.
`T`
`stringToValue(String txt)`
Throws UnsupportedOperationException.
`String`
`valueToString(T value)`
Throws UnsupportedOperationException.

### Methods inherited from class ConfigKey

`cast, getDefaultValue, getMeta, getValueClass, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HiddenConfigKey

public HiddenConfigKey(ConfigMeta meta, Class<T> clazz, T dflt)
Constructor.

Parameters:
  `meta` - metadata
  `clazz` - value class
  `dflt` - default value

## Method Details

### createSpecifier

public Specifier<T> createSpecifier()
Throws UnsupportedOperationException.

Specified by:
  `createSpecifier` in class `ConfigKey<T>`
Returns:
  new specifier

### stringToValue

public T stringToValue(String txt)
Throws UnsupportedOperationException.

Specified by:
  `stringToValue` in class `ConfigKey<T>`
Parameters:
  `txt` - string representation of value
Returns:
  value

### valueToString

public String valueToString(T value)
Throws UnsupportedOperationException.

Specified by:
  `valueToString` in class `ConfigKey<T>`
Parameters:
  `value` - possible value associated with this key
Returns:
  string representation